// Buttons
// .gbutton-pink-center {
//     position: absolute;
//     left: 0;
//     right: 0;
//     top: 50%;
//     margin: 0 auto;
//     width: rem-calc(200);
//     height: rem-calc(50);
//     line-height: rem-calc(50);
//     text-align: center;
//     color: #fff;
//     background: $brand-pink-color;
//     border-bottom:1px solid darken($brand-pink-color, 20%);
//     cursor: pointer;
//     overflow: hidden;
//     transition: all 0.25s cubic-bezier(0.645,0.045,0.355,1);
//     -webkit-box-shadow: $z1-shadow;
//     -moz-box-shadow: $z1-shadow;
//     box-shadow: $z1-shadow;

//     &:after {
//         content:'';
//         position: absolute;
//         left: 0;
//         right: 0;
//         top: 50%;
//         margin: 0 auto;
//         height: 20px;
//         width: 20px;
//         border-radius: 50%;
//         opacity: 0;
//         transform: translateY(-50%);
//         background-color: darken($brand-pink-color, 20%);
//         transition: all 0.2s cubic-bezier(0.645,0.045,0.355,1);
//     }

//     &:active {
//         box-shadow: none;

//         &:after {
//             opacity: 1;
//             transform-origin: 50% 50%;
//             transform: scale(12) translateZ(0);
//         }
//     }

//     span {
//         position: relative;
//         z-index: 2;
//         text-transform: uppercase;
//         font-family: "roboto-medium", roboto-medium;
//     }
// }

// .gbutton-pink-right {
//     position: relative;
//     left: 0;
//     right: 0;
//     top: 50%;
//     margin: 0 rem-calc(16) 0 auto;
//     width: rem-calc(250);
//     height: rem-calc(50);
//     line-height: rem-calc(50);
//     text-align: center;
//     color: #fff;
//     background: $brand-pink-color;
//     border-bottom:1px solid darken($brand-pink-color, 20%);
//     cursor: pointer;
//     overflow: hidden;
//     transition: all 0.25s cubic-bezier(0.645,0.045,0.355,1);
//     -webkit-box-shadow: $z1-shadow;
//     -moz-box-shadow: $z1-shadow;
//     box-shadow: $z1-shadow;

//     &:after {
//         content:'';
//         position: absolute;
//         left: 0;
//         right: 0;
//         top: 50%;
//         margin: 0 auto;
//         height: 20px;
//         width: 20px;
//         border-radius: 50%;
//         opacity: 0;
//         transform: translateY(-50%);
//         background-color: darken($brand-pink-color, 20%);
//         transition: all 0.2s cubic-bezier(0.645,0.045,0.355,1);
//     }

//     &:active {
//         box-shadow: none;

//         &:after {
//             opacity: 1;
//             transform-origin: 50% 50%;
//             transform: scale(12) translateZ(0);
//         }
//     }

//     span {
//         position: relative;
//         z-index: 2;
//         text-transform: uppercase;
//         font-family: "roboto-medium", roboto-medium;
//     }
    
// }

// .disabled {
//     background-color: $gainsboro !important;
//     color: $base !important;
//     border-bottom:1px solid darken($gainsboro, 20%) !important;
//     -webkit-box-shadow: none !important;
//     -moz-box-shadow: none !important;
//     box-shadow: none !important;
// }

// Floating action button - Based on Google Material Design
.floating-action-button-container {
    $floating-button-width-px: 48;
    position: absolute;
    z-index: 50;
    display: block;
    width: rem-calc($floating-button-width-px);
    height: rem-calc($floating-button-width-px);
}
.floating-action-button {
    height:100%;
    width: 100%;
    margin: 50%;
    border-radius: 50%;
    background-color: $white;
    -webkit-box-shadow: $z2-shadow;
    -moz-box-shadow: $z2-shadow;
    box-shadow: $z2-shadow;
}
.floating-action-button .icon {
    display: block;
    width:100%;
    color: $dark-grey;
    text-align: center;
    font-size: rem-calc(16);
    line-height:rem-calc(48);
}

.actionbutton-playpauze, .actionbutton-refresh {
    position: relative !important;
    left:50%;
    top: rem-calc(-24);
    margin-left: rem-calc(-48);
    margin-top: rem-calc(-24);
    float: left;
    // -moz-transition: all .2s linear;
    // -webkit-transition: all .2s linear;
    // transition: all .2s linear;
}
.actionbutton-playpauze .ng-hide-add, .actionbutton-refresh .ng-hide-add {
    opacity: 0;
}
.actionbutton-playpauze .ng-hide-remove, .actionbutton-refresh .ng-hide-remove {
    opacity: 1;
}

.actionbutton-addprinter {
    right: rem-calc(48);
}

.button-remove-printer {

    text-align: center;
    
    SPAN {
        font-size: rem-calc(32);
    }
    P {
        font-size: rem-calc(12);
        margin: 0 !important;
    }
}

.button {
    text-transform: uppercase;
}

.blue {
    .button, .button:hover {
        background-color: $brand-blue-color;
    }
}

.pink {
    .button, .button:hover {
        background-color: $brand-pink-color;
    }
}

.button.disabled, .button[disabled] {
    background-color: silver !important;
}

#btnAbortPrint {
    margin-top: 8px; 
    margin-right:10px; 
    margin-bottom: 0px;
    // display: none !important;
    z-index: 1000; /* because the button is floating and is the firstChild, get in front of the div.title */
}
